--- updatedAt: 2026-08-25T02:16:52.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/transactions ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/transactions": { "get": { "tags": [ "Transaction" ], "operationId": "getPublicTransactionList", "parameters": [ { "name": "MaxResultCount", "in": "query", "schema": { "maximum": 100, "minimum": 1, "type": "integer", "format": "int32" } }, { "name": "CreatedMin", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "CreatedMax", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "UpdatedMin", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "UpdatedMax", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "Statuses", "in": "query", "schema": { "type": "array", "items": { "$ref": "#/components/schemas/OrderStatus" } } }, { "name": "PaymentStatuses", "in": "query", "schema": { "type": "array", "items": { "$ref": "#/components/schemas/OrderPaymentStatus" } } }, { "name": "CustomerId", "in": "query", "schema": { "type": "string", "format": "uuid" } }, { "name": "BranchId", "in": "query", "schema": { "type": "string", "format": "uuid" } }, { "name": "TransactionNumber", "in": "query", "schema": { "type": "integer", "format": "int64" } }, { "name": "SortBy", "in": "query", "schema": { "$ref": "#/components/schemas/PublicApiTransactionSortBy" } }, { "name": "SortDirection", "in": "query", "schema": { "$ref": "#/components/schemas/PublicSortDirection" } }, { "name": "SkipCount", "in": "query", "schema": { "maximum": 2147483647, "minimum": 0, "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/PagedResultDto_PublicApiTransactionDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/PagedResultDto_PublicApiTransactionDto" }, "example": { "items": [ { "id": "4ef86c8e-2c63-4c73-a3f0-df124e71c210", "transactionNumber": 1254, "invoiceNumber": 987, "status": "Completed", "paymentStatus": "Paid", "source": "Internal", "customerId": "69e943fc-5705-44d8-a2da-f23371a1625d", "customerName": "Ahmed Ali", "customerMobileNumber": "+966500000000", "customerEmail": "ahmed@example.com", "branchIds": [ "4c31f35e-7477-4887-8ea8-93a3d13581ec" ], "subtotal": 100, "discountAmount": 10, "taxAmount": 13.5, "feesAmount": 0, "totalAmount": 103.5, "paidAmount": 103.5, "remainingAmount": 0, "currency": "SAR", "exchangeRateToSAR": 1, "createdAt": "2026-08-25T10:00:00Z", "updatedAt": "2026-08-25T10:05:00Z", "items": [ { "id": "b3ec6432-283f-4c69-8897-2791192ff1e0", "type": "Reservation", "nameAr": "حجز استشارة", "nameEn": "Consultation reservation", "sku": "CONSULT-01", "productId": "ee73af19-cfb6-44b6-a06a-d9805112a80a", "priceId": "ec62375d-cd99-47ed-bb9c-b7027c195423", "quantity": 1, "unitPrice": 100, "subtotal": 100, "discountAmount": 10, "taxAmount": 13.5, "totalAmount": 103.5 } ], "payments": [ { "id": "bc908f57-0f5d-4178-8903-42d82a98c7ee", "type": "Payment", "status": "Confirmed", "method": "Online", "customPaymentMethodId": null, "amount": 103.5, "currency": "SAR", "paymentDate": "2026-08-25T10:05:00Z" } ] } ], "totalCount": 1 } }, "text/json": { "schema": { "$ref": "#/components/schemas/PagedResultDto_PublicApiTransactionDto" } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "OrderPaymentStatus": { "enum": [ 0, 1, 2 ], "type": "integer", "format": "int32", "x-enumNames": [ "Pending", "PartiallyPaid", "Paid" ] }, "PublicSortDirection": { "enum": [ 0, 1 ], "type": "integer", "format": "int32", "x-enumNames": [ "Asc", "Desc" ] }, "OrderStatus": { "enum": [ 0, 1, 2, 3, 4 ], "type": "integer", "format": "int32", "x-enumNames": [ "Draft", "Pending", "Confirmed", "Completed", "Cancelled" ] }, "PublicApiTransactionSortBy": { "enum": [ 0, 1 ], "type": "integer", "format": "int32", "x-enumNames": [ "CreatedAt", "UpdatedAt" ] }, "PagedResultDto_PublicApiTransactionDto": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/PublicApiTransactionDto" } }, "totalCount": { "type": "integer", "format": "int64" } }, "additionalProperties": false }, "PublicApiTransactionDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "transactionNumber": { "type": "integer", "format": "int64", "nullable": true }, "invoiceNumber": { "type": "integer", "format": "int64", "nullable": true }, "status": { "enum": [ "Draft", "Pending", "Confirmed", "Completed", "Cancelled" ], "type": "string" }, "paymentStatus": { "enum": [ "Pending", "PartiallyPaid", "Paid" ], "type": "string" }, "source": { "enum": [ "Website", "MobileApp", "Internal", "AiBot", "ICalSync", "LastOffer", "BeautyPass" ], "type": "string" }, "customerId": { "type": "string", "format": "uuid" }, "customerName": { "type": "string" }, "customerMobileNumber": { "type": "string", "nullable": true }, "customerEmail": { "type": "string", "nullable": true }, "branchIds": { "type": "array", "items": { "type": "string", "format": "uuid" } }, "subtotal": { "type": "number", "format": "double" }, "discountAmount": { "type": "number", "format": "double" }, "taxAmount": { "type": "number", "format": "double" }, "feesAmount": { "type": "number", "format": "double" }, "totalAmount": { "type": "number", "format": "double" }, "paidAmount": { "type": "number", "format": "double" }, "remainingAmount": { "type": "number", "format": "double" }, "currency": { "type": "string" }, "exchangeRateToSAR": { "type": "number", "format": "double" }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/PublicApiTransactionItemDto" } }, "payments": { "type": "array", "items": { "$ref": "#/components/schemas/PublicApiTransactionPaymentDto" } } }, "additionalProperties": false }, "PublicApiTransactionItemDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "type": { "enum": [ "Manual", "Subscription", "Merchandise", "Reservation", "Gift", "IvrPointsPackage", "WabaPointsPackage", "ProductGift", "Bundle" ], "type": "string" }, "nameAr": { "type": "string", "nullable": true }, "nameEn": { "type": "string", "nullable": true }, "sku": { "type": "string", "nullable": true }, "productId": { "type": "string", "format": "uuid", "nullable": true }, "priceId": { "type": "string", "format": "uuid", "nullable": true }, "quantity": { "type": "integer", "format": "int32" }, "unitPrice": { "type": "number", "format": "double" }, "subtotal": { "type": "number", "format": "double" }, "discountAmount": { "type": "number", "format": "double" }, "taxAmount": { "type": "number", "format": "double" }, "totalAmount": { "type": "number", "format": "double" } }, "additionalProperties": false }, "PublicApiTransactionPaymentDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "type": { "enum": [ "Payment", "Refund" ], "type": "string" }, "status": { "enum": [ "Pending", "Confirmed" ], "type": "string" }, "method": { "enum": [ "Cash", "Online", "BankTransfer", "PointOfSales", "BuyNowPayLater", "Gift", "Other" ], "type": "string" }, "customPaymentMethodId": { "type": "string", "format": "uuid", "nullable": true }, "amount": { "type": "number", "format": "double" }, "currency": { "type": "string" }, "paymentDate": { "type": "string", "format": "date-time" } }, "additionalProperties": false } } } } ```